<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

// SGACambioCajaOPrep#AV#WEB#P1800311;CJ18002549;CJ18002550;3049501;30-07-14-06;-;-;-;-;MDLBJR;-;-;-;-;1

//echo "<p>caja origen: ".$_SESSION['preparacionCajaActual']."</p>";
//echo "<p>caja destino: ".$_POST['caja']."</p>";
//echo "<p>linea contador: ".$_POST['lineaProducto']."</p>";


foreach($_SESSION['cajas'] as $caja) {

	if($caja['NumeroCaja']==$_SESSION['preparacionCajaActual']) $cajaProductos=arreglaArrayPXMobileProxiumResult($caja['Productos']);
	
}

foreach($cajaProductos as $item) if($item['ContadorCaja']==$_POST['lineaProducto']) $producto=$item;

//print_r($producto);


$parametros=$producto['Codigo'];
$parametros.=';'.$producto['Ubicacion'];
$parametros.=';'.$producto['Contenedor'];
		
$parametros.=';'.$producto['Idioma'];
$parametros.=';'.$producto['Precinta'];
$parametros.=';'.$producto['Lote'];
$parametros.=';'.$producto['FechaCaducidad'];
$parametros.=';'.$producto['NumSerie'];
					
$parametros.=';'.$producto['NumEntrada'];
$parametros.=';'.$producto['LinEntrada'];

$peticion='SGACambioCajaOPrep#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['orden']['OrdenPreparacion'].';'.$_SESSION['preparacionCajaActual'].';'.$_POST['caja'].';'.$parametros.';'.$_POST['cantidad'];

//echo "<p>".$peticion."</p>";

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

$valores=explode('#',$resultado[0]['Error']);

print_r($resultado[0]['Error']);

?>